Subject: [bug#33042] [PATCH] gnu: Add soundconverter.

From: Leo Famulari <[email-masked]>
Date: Tue, 16 Oct 2018 12:43:27 -0400

On Sun, Oct 14, 2018 at 09:18:10PM +0100, Christopher Baines wrote:
> * gnu/packages/gnome.scm (soundconverter): New variable.

Thanks, it's nice to have graphical programs for this sort of task :)

> +       (patches
> +        (list
> +         (origin
> +           (method url-fetch)
> +           (uri (string-append
> +                 "https://salsa.debian.org/multimedia-team/soundconverter"
> +                 "/raw/master/debian/patches/"
> +                 "0002-Only-fetch-profiles-if-GConf-is-still-available.patch"))
> +           (sha256
> +            (base32
> +             "00nxpbkz7ihzrbz91ms7bd2mjgyhkbxpaa8zxj4xnkv4pjmg61hh")))))))

I think it's better if we include this file in our source code, since
it's not very big and Debian's code infrastructure URLs seem to change
every few years. Also, the URL is not versioned, so maybe the patch
would change in the future.

> +         (add-after 'unpack 'fix-POTFILES.in
> +           (lambda _
> +             (substitute* "po/POTFILES.in"
> +               (("soundconverter/gconfstore\\.py") ""))))

Please add an explanatory comment for this.

> +         (add-after 'install 'wrap-rhythmbox
> +           (lambda* (#:key inputs outputs #:allow-other-keys)
> +             (let ((out               (assoc-ref outputs "out"))
> +                   (python-path       (getenv "PYTHONPATH"))
> +                   (gi-typelib-path   (getenv "GI_TYPELIB_PATH"))
> +                   (gst-plugin-path   (getenv "GST_PLUGIN_SYSTEM_PATH")))
> +               (wrap-program (string-append out "/bin/soundconverter")
> +                 `("PYTHONPATH"             ":" prefix (,python-path))
> +                 `("GI_TYPELIB_PATH"        ":" prefix (,gi-typelib-path))
> +                 `("GST_PLUGIN_SYSTEM_PATH" ":" prefix (,gst-plugin-path))))
> +             #t)))))

If possible, I think it's better to use the python-build-system's wrap
phase for PYTHONPATH. The hplip package has an example.

> +    (synopsis "Audio file converter for the GNOME Desktop")

It works in i3, too :)